Subject: Re: Questions from draft-ietf-pwe3-control-protocol-01.txt

From: "John Fischer" <[email-masked]>
Date: 11 Feb 2003 08:56:34 -0500

Hi all,
I would like to request the editors of this draft to make
updates in several areas:
4.2 ATM
    4.2.1 Describes the N:1 AAL5 mode.  Another section with a description
        of the 1:1 AAL5 PDU mode is needed.
    4.2.3 Does this section intend to describe the 1:1 VCC, 1:1 VPC
        encapsulation modes?  If so, it should clearly indicate so.
        If not, it should specify N:1 and another section for 1:1 cell mode
        as well as new PW types should be added to the document.

In order to be clear, the list of PW types in section 5 should also be
updated:
               0x0002   ATM AAL5 VCC transport  <<< ADD N:1 IN NAME
               0x0003   ATM transparent cell transport <<< ADD N:1 IN NAME
               0x0009   ATM VCC cell transport  <<< ADD 1:1 IN NAME
               0x000A   ATM VPC cell transport  <<< ADD 1:1 IN NAME
Thanks,
John

[email-masked] wrote:

> David,
>
> Regarding point 3 below, the way the draft is written, it could be either
> one-to-one or n-to-one (although n-to-one is mandatory to support). Also,
> the draft only mentions SDU mode for encapsulation of AAL5 frames, but in
> fact this could also be done using PDU encapsulation, for the reasons
> discussed in the applicability sections of draft-ietf-pwe3-atm-encap-00.txt.
>
> I believe that draft-ietf-pwe3-control-protocol-01.txt should provide
> support for all of the ATM encap modes, whether mandatory or optional.
>
> Best regards,
>
> Matthew
>
> -----------------------------------------
> Matthew Bocci
> Office of the CTO
> Alcatel Fixed Networks Division
> -----------------------------------------
>
> David Clear <[email-masked]>
> Sent by: [email-masked]
> 22/01/2003 23:28
>
>
>         To:     "[email-masked]'" <[email-masked]>
>         cc:
>         Subject:        [PWE3] Questions from draft-ietf-pwe3-control-protocol-01.txt
>
> Hi.  A few questions I hope you can help with.
> [Frame Relay PW over MPLS]
> 1. Section 4.1 references draft-ietf-pwe3-frame-encap-01.txt, but I can't
> seem to find that draft (nor an -00 version).  Has it been superceded by
> draft-ietf-pwe3-frame-relay-00.txt?
> 2. If LDP is used to signal a PW type of 0x0001 (Frame Relay DLCI), does
> that correspond to the "one-to-one" mode or "port mode" encapsulation
> (from draft-ietf-pwe3-frame-relay-00.txt (if that's the current one))?
> [ATM PW over MPLS]
> 3. Do LDP PW types 0x9 (ATM VCC cell transport) and 0xa (ATM VPC cell
> transport) refer to "one-to-one" mode or "n-to-one" mode encaps (from
> draft-ietf-pwe3-atm-encap-00.txt)?  Section 4.2.3 reads: "Every cell that
> is received... is encapsulated according to [10], ATM cell mode...", but
> "ATM cell mode" does not zero in on a specific section from atm-encap
> draft.  I figure it's n-to-one, but I would like confirmation.
>
> Regards,
> David.
>
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Luca Martini <[email-masked]>
Date: Tue, 11 Feb 2003 18:29:26 -0700

yes , this is my plan as well. I'm waiting for Matthew to return the ATM 
document , then i'll straiten out all the modes in the control document.
Do you really care what vd type numbers get allocated to the 1:1 modes ?

Thanks.
luca

---

From: John Fischer <[email-masked]>
Date: Wed, 12 Feb 2003 09:23:11 -0500

I'm not particular about which numbers are allocated, just that there are
some allocated.
Thanks,
John